Bug 189267 - glibc_post_upgrade/iconvconfig (2.3.2 and earlier) segfault on 2080, not on 2059
glibc_post_upgrade/iconvconfig (2.3.2 and earlier) segfault on 2080, not on 2059
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 13:59 EDT by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.18-1.2257.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 03:17:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2006-04-18 13:59:48 EDT
Description of problem:
I'm trying to create chroots for several older RHL, RHEL and FC releases on
FC5/x86_64. This worked until I retried with the current kernel 2080, where
installing glibc segfaults on glibc_post_upgrade/iconvconfig %postin scriplets.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2080_FC5
kernel-xen0-2.6.16-1.2080_FC5

How reproducible:
always

Steps to Reproduce:
1.mkdir /var/tmp/root
2.rpm -ihv --root /var/tmp/root glibc-from-rhl.rpm
3.
  
Actual results:
Preparing... ########################################### [100%]
   1:glibc   ########################################### [100%]
error: %post(glibc-2.2.5-34.i686) scriptlet failed, exit status 1

The segfaults look like

Apr 18 09:00:32 teufli kernel: iconvconfig[18254]: segfault at 00000000ffffd220
rip 00000000ffffd220 rsp 00000000ffffd16c error 15
Apr 18 09:09:56 teufli kernel: iconvconfig[18548]: segfault at 00000000ffffbea0
rip 00000000ffffbea0 rsp 00000000ffffbdec error 15
Apr 18 09:10:46 teufli kernel: iconvconfig[18572]: segfault at 00000000ffffc1e0
rip 00000000ffffc1e0 rsp 00000000ffffc12c error 15
Apr 18 09:28:03 teufli kernel: iconvconfig[18825]: segfault at 00000000ffffd4e0
rip 00000000ffffd4e0 rsp 00000000ffffd42c error 15
Apr 18 14:28:08 teufli kernel: iconvconfig[22727]: segfault at 00000000ffffc080
rip 00000000ffffc080 rsp 00000000ffffbfcc error 15
Apr 18 14:41:39 teufli kernel: iconvconfig[22961]: segfault at 00000000ffffc9b0
rip 00000000ffffc9b0 rsp 00000000ffffc8fc error 15
Apr 18 15:19:51 teufli kernel: iconvconfig[3264]: segfault at 00000000ffffc870
rip 00000000ffffc870 rsp 00000000ffffc7bc error 15

Expected results:
Should not segfault

Additional info:
Works with kernel-2.6.15-1.2054_FC5.
The glibc versions in question are from RHL7.3-RHL9.

Thanks!
Comment 1 Axel Thimm 2006-04-18 14:57:43 EDT
stracing under the two kernels and diffing the output shows the following:

@@ -109,21 +109,12 @@
 brk(0x807b000)                          = 0x807b000
 brk(0x807c000)                          = 0x807c000
 brk(0x807d000)                          = 0x807d000
-gettimeofday({2886506931102586, 34568937635057664}, NULL) = 0
-getpid()                                = 2975
-open("/usr/lib/gconv/gconv-modules.cache.35FiQo", O_RDWR|O_CREAT|O_EXCL, 0600) = 3
+gettimeofday({3380930681316616, 34568937635057664}, NULL) = 0
+getpid()                                = 2887
+open("/usr/lib/gconv/gconv-modules.cache.ctPZme", O_RDWR|O_CREAT|O_EXCL, 0600) = 3
 brk(0x8080000)                          = 0x8080000
 brk(0x8082000)                          = 0x8082000
-writev(3, [{ptrace: umoven: Input/output error
-0x10ffffbaf0, 50418755816992}, {ptrace: umoven: Input/output error
-0x10804c748, 27436385827840}, {ptrace: umoven: Input/output error
-0x9b4080814f8, 163343507120}, {ptrace: umoven: Input/output error
-0x2dec001020010324, 88597774468669}, {ptrace: umoven: Input/output error
-0x80496900805c9e0, 577781253018005757}, {umovestr: Input/output error
-0xffffbbb400000000, 577742808631196488}], 6) = 20666
-fchmod(3, 0644)                         = 0
-rename("/usr/lib/gconv/gconv-modules.cache.35FiQo",
"/usr/lib/gconv/gconv-modules.cache") = 0
-close(3)                                = 0
-_exit(0)                                = ?
-Process 2975 detached
-[ Process PID=2975 runs in 32 bit mode. ]
+--- SIGSEGV (Segmentation fault) @ 0 (0) ---
++++ killed by SIGSEGV +++
+Process 2887 detached
+[ Process PID=2887 runs in 32 bit mode. ]

E.g. on the 2.6.15-1.2059 kernel which successfully (?) ran iconvconfig there
are "ptrace: umoven: Input/output error" entries, while on 2.6.16-1.2080 the
same spot has a segfault.
Comment 2 John Dalbec 2006-04-19 12:53:27 EDT
I had a similar error creating older buildroots in mach on kernel 2.6.  Do you
have kernel.vdso=0 in /etc/sysctl.conf?  Have you rebooted or run sysctl -p
since adding it?
Comment 3 Axel Thimm 2006-04-19 13:47:19 EDT
kernel.vdso is not recognized by the kernel anymore (and I never had to use it
in the first place).
Comment 4 Axel Thimm 2006-04-20 09:02:15 EDT
This also happens under FC4 with the 2.6.16 kernel, while it worked with
kernel-2.6.15-1.1883_FC4.
Comment 5 Matthias Saou 2006-04-21 12:46:05 EDT
I might be wrong, but I think x86_64 has never had the kernel.vdso available.
Not that I could ever find information about what vdso is anyway...
Comment 6 Dave Jones 2006-10-16 16:17:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.